summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Johannes Schoepfer2024-02-17 00:26:48 +0100
committer Willy Sudiarto Raharjo2024-02-17 03:07:10 +0100
commitfac88596d2073e842f0e9b06a57826bef8d475fb (patch)
treebc64468d878345eafb5e46fda2e3f54fa79ec87f /desktop
parent07b0eec9b29d14409df9de4d1a2d20eca0a4b055 (diff)
downloadslackbuilds-fac88596d2073e842f0e9b06a57826bef8d475fb.tar.gz
desktop/mate-system-monitor: Added (system monitoring).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/mate-system-monitor/README12
-rw-r--r--desktop/mate-system-monitor/doinst.sh9
-rw-r--r--desktop/mate-system-monitor/mate-system-monitor.SlackBuild125
-rw-r--r--desktop/mate-system-monitor/mate-system-monitor.info10
-rw-r--r--desktop/mate-system-monitor/side.pngbin0 -> 9390 bytes
-rw-r--r--desktop/mate-system-monitor/slack-desc19
6 files changed, 175 insertions, 0 deletions
diff --git a/desktop/mate-system-monitor/README b/desktop/mate-system-monitor/README
new file mode 100644
index 0000000000..0ae8b5be90
--- /dev/null
+++ b/desktop/mate-system-monitor/README
@@ -0,0 +1,12 @@
+The mate-system-monitor allows you to view and control the processes
+running on your system. You can access detailed memory maps, send
+signals, and terminate the processes.
+
+In addition, the mate-system-monitor provides an overall view of the
+resource usage on your system, including memory and CPU allocation, as
+well as network usage. It also allows you to view file system
+information such as Device, Type, Mountpoints, and Disk Usage.
+
+The System tab will display basic information about your system like
+Hostname, Kernel, MATE Version, Installed Memory, and Processor
+Information.
diff --git a/desktop/mate-system-monitor/doinst.sh b/desktop/mate-system-monitor/doinst.sh
new file mode 100644
index 0000000000..6fa145a19f
--- /dev/null
+++ b/desktop/mate-system-monitor/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/mate-system-monitor/mate-system-monitor.SlackBuild b/desktop/mate-system-monitor/mate-system-monitor.SlackBuild
new file mode 100644
index 0000000000..35ed2e11aa
--- /dev/null
+++ b/desktop/mate-system-monitor/mate-system-monitor.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+
+# Slackware build script for mate-system-monitor
+
+# Copyright 2013 Chess Griffin, Raleigh, NC
+# Copyright 2013-2023 Willy Sudiarto Raharjo
+# Copyright 2024 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mate-system-monitor
+VERSION=${VERSION:-1.28.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-shared \
+ --disable-schemas-compile \
+ --disable-systemd \
+ --enable-wnck \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} +
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/share/pixmaps/mate-system-monitor/distribution/
+cp $CWD/side.png $PKG/usr/share/pixmaps/mate-system-monitor/distribution/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a AUTHORS COPYING ChangeLog NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/mate-system-monitor/mate-system-monitor.info b/desktop/mate-system-monitor/mate-system-monitor.info
new file mode 100644
index 0000000000..5bca230202
--- /dev/null
+++ b/desktop/mate-system-monitor/mate-system-monitor.info
@@ -0,0 +1,10 @@
+PRGNAM="mate-system-monitor"
+VERSION="1.28.0"
+HOMEPAGE="https://wiki.mate-desktop.org/mate-desktop/applications/mate-system-monitor/"
+DOWNLOAD="https://github.com/mate-desktop/mate-system-monitor/releases/download/v1.28.0/mate-system-monitor-1.28.0.tar.xz"
+MD5SUM="65c1474b79bd5f1634cb340622760317"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/desktop/mate-system-monitor/side.png b/desktop/mate-system-monitor/side.png
new file mode 100644
index 0000000000..f4666eb0fa
--- /dev/null
+++ b/desktop/mate-system-monitor/side.png
Binary files differ
diff --git a/desktop/mate-system-monitor/slack-desc b/desktop/mate-system-monitor/slack-desc
new file mode 100644
index 0000000000..849b1fd997
--- /dev/null
+++ b/desktop/mate-system-monitor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mate-system-monitor: mate-system-monitor (Process viewer and system resource monitor)
+mate-system-monitor:
+mate-system-monitor: mate-system-monitor allows you to view and control the processes
+mate-system-monitor: running your system. You can access detailed memory maps, send
+mate-system-monitor: signals, and terminate the processes.
+mate-system-monitor:
+mate-system-monitor: In addition, the mate-system-monitor provides an overall view of the
+mate-system-monitor: resource usage on your system, including memory and CPU allocation, as
+mate-system-monitor: well as network usage. It also allows you to view file system
+mate-system-monitor: information such as Device, Type, Mountpoints, and Disk Usage.
+mate-system-monitor: